SnowRunner

Tuned Suspensions - ALL trucks Pack (+DLC4) *2.1* for SnowRunner

Released (updated ago). Ranked 1,313 of 6,771 with 14,328 (5 today) downloads

Published by sicksixgamer (mod ID: 126954)

2020-05-26_2.png
2020-05-22_4.png
2020-05-22.png
2020-05-24.png
2020-05-23_3.png

**Manual Install** File is zip archive and needs WinRar to extract into your initial.pak\[media]\classes\suspensions

*UPDATED AS OF 12MAY2021 TO INCLUDE ALL DLC TRUCKS THROUGH PHASE 4*

*This pack supersedes my Scout pack, US truck pack and RU truck pack. I will no longer update the previous suspension packs. This will always be the most current*

I went through every truck and scout in the game and tuned every suspension. Some trucks benefited more than others. Some trucks have limitations based on the actual ** model of the suspension setup that prevents radical change. But ALL will ride better. Again I found some trucks missing the Damping setting completely and some trucks just had no consistency in numbers from their default to their raised suspension.

I did NOT add any higher suspension than what is available for the trucks in the base game files. Also these files do not 'unlock' all suspensions, you still have to find upgrades.

As nothing has been renamed and you install these into your initial.pak these should work in multi-player but no guarantee. BACK UP YOUR ENTIRE initial.pak BEFORE YOU PROCEED!!!

Please let me know if anything needs updating.


Releases

FilenameSizeVersionAddedOptions
media.1.zip39.85kb2.1

media.zip36.2kb2.0

tuned_susp_all_subscribe.zip20kb1.1

tuned_susp_all.zip26.73kb1.0

36 comments

Join the community or sign in with your gaming account to join the conversation:

lexo1000
lexo1000 @lexo1000

Please will you update this great mod for Phase 5-6-7?

BL
black-pjuppi @black-pjuppi

i get "failed to install mod *this mod pack* with error -7" while i am ingame and opens the mod browser... what should i do O_o...

F
Fernandotp1987 @fernandotp1987

It gives me problems now to enter the game it starts automatically a Crash dump

KoldiFur
KoldiFur @koldifurry

update to latest version with new transport :)

SI
sicksixgamer @sicksixgamer

Done!

maximustrajan23
maximustrajan23 @maximustrajan23

has this mod been abandoned?

SI
sicksixgamer @sicksixgamer

Updated!

Tazmanyak
Tazmanyak @tazmanyak

All trucks currently available ingame have been modified.
Im sure he will update once phase 1 has been released (if it's needed)

DW
dw28 @dw28

Do you mean "completed"?
Just because someone finishes working on something doesn't automatically mean it's been "abandoned".
It does what it was designed to do, and later patches haven't broken it, so it still does that same thing.
What more do you want?

maximustrajan23
maximustrajan23 @maximustrajan23

well some mods break when a new update is released by the developers, so thats the "more" that i want.

DW
dw28 @dw28

Hey sicksix,
Amazing work by the way, much appreciated.
Just wanted to check - the blurb seems to suggest this is still a manual-install mod, and the "Current active release" is still set to the old manual-install file...
Is the subscription version actually confirmed working?

PR
PurpleRose @purplerose

I would sub to this so fast if it installs with sub.

K
Kamelot1591286251 @kamelot1591286251

Спс круто

DR
DarkRiderKun @darkriderkun

Is this compatible with Patch 5.1?

SI
sicksixgamer @sicksixgamer

It should be but I don't know yet. I am still at work.

DR
DarkRiderKun @darkriderkun

Alright, I'll wait for your confirmation.

SI
sicksixgamer @sicksixgamer

I compared latest stock pak files and looks like nothing changed in suspension files. So it's all good to use in latest update. Still needs manual install of course.

schum198217
schum198217 @schum198217

работает в мультиплеере спс

R
Rennug @rennug

Hi. Is it ok? =) CAT CT680
Puu.sh

Upd: Sry. Its not your mod fault. I use also realism overhaul mod that increases weight of cargos and there is the same problem with his own suspension too.

SI
sicksixgamer @sicksixgamer

The CAT CT680 actually has a problem with the model itself. Sorry, I think only the Devs can fix that.